1

I've been using Ubuntu Gnome 16.04 LTS for a long time know and I keep getting crashes.

My definition for crash is basically my entire screen freezes, including the time, cursor, etc. I can't do any keyboard shortcuts either.

So usually when this happens I just restart my computer by unplugging the power and plugging it back in. One time, however, I actually waited around 4 minutes or so and it was still frozen so I restarted my computer.

This happens sometimes when I'm just using Chrome or Discord, but most of the time it only happens when:

  • I'm playing CS:GO (CounterStrike Global Offensive) and it's open and I'm using another program the same time CSGO is open.
  • Im loading into a map on CSGO and near the end it just freezes/crashes.

I've tried updating my system using the command line and program, but with the command line it kinda works and then at the end it says that there were errors during the upgrade.

I tried:

sudo do-release-upgrade -d                  
sudo do-release-upgrade -d_            
sudo do-release-upgrade           
sudo do-release-upgrade -c

And they all come up with the message.
With the GUI updater/upgrader, (sudo update-manager -d) it says

Not all updates can be installed Run a partial upgrade, to install as many updates as possible.

Instead of clicking Partial Upgrade I click Continue, and then:

Software index is broken It is impossible to install or remove any software. Please use the package manager "Synaptic" or run "sudo apt-get install -f" in a terminal to fix this issue at first.

So I tried again and clicked Partial Upgrade instead of Continue and....

Could not install 'util-linux'

The upgrade will continue but the 'util-linux' package may not be in a working state. Please consider submitting a bug report about it. subprocess installed post-installation script returned error exit status 1

and

Could not install '/var/cache/apt/archives/keyboard-configuration_1.142ubuntu5_all.deb' The upgrade will continue but the '/var/cache/apt/archives/keyboard-configuration_1.142ubuntu5_all.deb' package may not be in a working state. Please consider submitting a bug report about it. subprocess new pre-installation script returned error exit status 1

and

Could not install 'systemd'

The upgrade will continue but the 'systemd' package may not be in a working state. Please consider submitting a bug report about it.

dependency problems - leaving triggers unprocessed

(I'm writing this post while I'm trying the commands/trying to update again)

And now its taking a long time...

What can I do to

  1. Fix my crashes/prevent them from happening
  2. Update from Ubuntu Gnome 16.04 LTS to Ubuntu/Ubuntu Gnome 17.04 which could potentially help my crashes
  • NEW::: IN the middle of the partial upgrade my fonts stopped working and my pc froze so obviously I restarted it now when im on the login screen the font for my name is working but when I login its a black screen – gamma ϟ Aug 27 '17 at 1:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.